petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexTSComputeRHSFunctionFVM

Form the local forcing F from the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeRHSFunctionFVM(DM dm, PetscReal time, Vec locX, Vec F, void *user)

### Input Parameters

| dm | - The mesh
| t | - The time
| locX | - Local solution
| user | - The user context

### Output Parameter

F -Global output vector

### See Also

DMPlexComputeJacobianActionFEM()

Level:developer
Location:src/ts/utils/dmplexts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html